Subject: [Hipsec-rg] Question about IPSec ESP mode of HIP connection
From: miika at iki.fi (Miika Komu)
Date: Tue, 7 Nov 2006 14:01:22 +0200 (EET)

On Tue, 7 Nov 2006, Joseph wrote:

Please see RFC4303 for details.

> Dear Miika,
> 	Thanks a lot. So in the ESP connection of HIP , during the ESP
> connection, what should be put in the "Padding" in the ESP Tailer? Thanks
> Joseph
>
> -----Original Message-----
> From: Miika Komu [mailto:miika at iki.fi]
> Sent: Tuesday, November 07, 2006 7:10 PM
> To: Joseph
> Cc: hipsec-rg at listserv.cybertrust.com
> Subject: Re: [Hipsec-rg] Question about IPSec ESP mode of HIP connection
>
> On Tue, 7 Nov 2006, Joseph wrote:
>
>> Dear all,
>>    I have one question about the HIP connection. In the ESP connection
>> of HIP, there is a ESP_TRANSFORM parameter in HIP. There is a field
>> called "Padding" in the ESP_TRANSFORM based on the
>> draft-ietf-hip-esp-04.txt. Is this "Padding" same as the "Padding" in
>> the ESP tailer (which is 0-255 bytes)?
>
> No, it is not.
>
>> If yes, during the ESP connection, is it just set the "Padding" in ESP
>> Tailer into 0?
>
> Padding is just padding for the HIP parameter, it has not really any
> connection with ESP trailers. See base draft 06 section 5.2.1. According to
> the base draft, the padding is just zeroes.
>
> -- 
> Miika Komu                                       http://www.iki.fi/miika/
>

-- 
Miika Komu                                       http://www.iki.fi/miika/

From: joseph-so at gmx.net (Joseph)
Date: Tue, 7 Nov 2006 19:43:32 +1100
Subject: [Hipsec-rg] Question about IPSec ESP mode of HIP connection
In-Reply-To: <[email-masked]>
Message-ID: <001a01c70248$d0482b80$1215230a@T40>

Dear Miika,
	Thanks a lot. So in the ESP connection of HIP , during the ESP
connection, what should be put in the "Padding" in the ESP Tailer? Thanks
Joseph 

-----Original Message-----
From: Miika Komu [mailto:miika at iki.fi] 
Sent: Tuesday, November 07, 2006 7:10 PM
To: Joseph
Cc: hipsec-rg at listserv.cybertrust.com
Subject: Re: [Hipsec-rg] Question about IPSec ESP mode of HIP connection

On Tue, 7 Nov 2006, Joseph wrote:

> Dear all,
>    I have one question about the HIP connection. In the ESP connection 
> of HIP, there is a ESP_TRANSFORM parameter in HIP. There is a field 
> called "Padding" in the ESP_TRANSFORM based on the 
> draft-ietf-hip-esp-04.txt. Is this "Padding" same as the "Padding" in 
> the ESP tailer (which is 0-255 bytes)?

No, it is not.

> If yes, during the ESP connection, is it just set the "Padding" in ESP 
> Tailer into 0?

Padding is just padding for the HIP parameter, it has not really any
connection with ESP trailers. See base draft 06 section 5.2.1. According to
the base draft, the padding is just zeroes.

-- 
Miika Komu                                       http://www.iki.fi/miika/

From: miika at iki.fi (Miika Komu)
Date: Tue, 7 Nov 2006 10:10:05 +0200 (EET)
Subject: [Hipsec-rg] Question about IPSec ESP mode of HIP connection
In-Reply-To: <000001c70238$e4b94640$1215230a@T40>
References: <000001c70238$e4b94640$1215230a@T40>
Message-ID: <[email-masked]>

On Tue, 7 Nov 2006, Joseph wrote:

> Dear all,
>    I have one question about the HIP connection. In the ESP connection of
> HIP, there is a ESP_TRANSFORM parameter in HIP. There is a field called
> "Padding" in the ESP_TRANSFORM based on the draft-ietf-hip-esp-04.txt. Is
> this "Padding" same as the "Padding" in the ESP tailer (which is 0-255
> bytes)?

No, it is not.

> If yes, during the ESP connection, is it just set the "Padding" in
> ESP Tailer into 0?

Padding is just padding for the HIP parameter, it has not really any 
connection with ESP trailers. See base draft 06 section 5.2.1. According 
to the base draft, the padding is just zeroes.

-- 
Miika Komu                                       http://www.iki.fi/miika/

From: joseph-so at gmx.net (Joseph)
Date: Tue, 7 Nov 2006 17:49:36 +1100
Subject: [Hipsec-rg] Question about IPSec ESP mode of HIP connection
Message-ID: <000001c70238$e4b94640$1215230a@T40>

Dear all,
    I have one question about the HIP connection. In the ESP connection of
HIP, there is a ESP_TRANSFORM parameter in HIP. There is a field called
"Padding" in the ESP_TRANSFORM based on the draft-ietf-hip-esp-04.txt. Is
this "Padding" same as the "Padding" in the ESP tailer (which is 0-255
bytes)? If yes, during the ESP connection, is it just set the "Padding" in
ESP Tailer into 0?
    Thanks a lot.
Yours faithfully,
Jospeh
-------------- next part --------------
An HTML attachment was scrubbed...
URL: https://listserv.cybertrust.com/pipermail/hipsec-rg/attachments/20061107/2659a614/attachment.html 

From: jeffrey.m.ahrenholz at boeing.com (Ahrenholz, Jeffrey M)
Date: Wed, 1 Nov 2006 10:47:10 -0800
Subject: [Hipsec-rg] IPV6 Base exch+ESP
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

Please direct your questions about specific HIP implementations to their
respective mailing lists.

For InfraHIP's HIP for Linux, use this mailing list:
http://www.freelists.org/list/hipl-users

For the OpenHIP implementation, use this one:
http://sourceforge.net/mailarchive/forum.php?forum_id=45225

For Ericsson's FreeBSD implementation, I think it is:
hip at hip4inter.net

thanks,
-Jeff

-----Original Message-----
From: quanli wang [mailto:quanli83 at yahoo.com.cn] 
Sent: Tuesday, October 31, 2006 5:52 PM
To: hipsec-rg at listserv.cybertrust.com
Subject: [Hipsec-rg] IPV6 Base exch+ESP

 we have done almost all  the  experiments on ipv4  successfully,we have
two questions :
       1.how to test IPV6 Base exch+ESP?please give some guide!
       2.can we use the IPV6 address as the DNS server IP address?
Because we want to deploy HIP experiments on true IPV6   environment,do
we need modify the code of "hip_dns.c"?
  thanks for help!